﻿using Microsoft.AspNetCore.Mvc;
using UnivateProperties_API.Repository.Properties;

namespace UnivateProperties_API.Controllers.Properties
{
    [Route("Property/[controller]")]
    [ApiController]
    public class PropertyFieldsController : ControllerBase
    {
        private readonly IUserDefinedGroupRepository _Repo;

        public PropertyFieldsController(IUserDefinedGroupRepository repo)
        {
            _Repo = repo;
        }

        [HttpGet]
        public IActionResult Get()
        {
            return new OkObjectResult(_Repo.GetFieldList(""));
        }

        [HttpGet("{name}")]
        public IActionResult Get(string name)
        {
            return new OkObjectResult(_Repo.GetFieldList(name));
        }

        [HttpGet("{PropertyType}/{type}")]
        public IActionResult Get(string PropertyType, string type)
        {
            return new OkObjectResult(_Repo.GetFieldListByPropType(type));
        }
    }


}

